org.springframework.cloud.dataflow.server.stream

## Class StreamDeploymentRequest

- java.lang.Object
- - org.springframework.cloud.dataflow.server.stream.StreamDeploymentRequest

-     public class StreamDeploymentRequest
      extends Object

  Deployment request for `StreamDeployer` implementations.
  Author:
    Mark Pollack, Ilayaperumal Gopinathan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamDeploymentRequest(String streamName, String dslText, List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest> appDeploymentRequests, Map<String,String> streamDeployerProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest>` | `getAppDeploymentRequests()` Return the list of `AppDeploymentRequest` for the stream.
    `String` | `getDslText()` Return the DSL definition for this stream.
    `Map<String,String>` | `getStreamDeployerProperties()` Return the Stream Deployer properties.
    `String` | `getStreamName()` Return the name of this stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamDeploymentRequest

          public StreamDeploymentRequest(String streamName,
                                         String dslText,
                                         List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest> appDeploymentRequests,
                                         Map<String,String> streamDeployerProperties)

  - ### Method Detail

    - #### getStreamName

          public String getStreamName()

      Return the name of this stream.
      Returns:
        stream name

    - #### getDslText

          public String getDslText()

      Return the DSL definition for this stream.
      Returns:
        stream definition DSL

    - #### getAppDeploymentRequests

          public List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest> getAppDeploymentRequests()

      Return the list of `AppDeploymentRequest` for the stream.
      Returns:
        list of app requests

    - #### getStreamDeployerProperties

          public Map<String,String> getStreamDeployerProperties()

      Return the Stream Deployer properties.
      Returns:
        the map of stream deployer properties specific to StreamDeployer implementations.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.